summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-06-20 06:49:04 +0200
committerHans de Graaff <graaff@gentoo.org>2018-06-20 06:49:04 +0200
commit1c24766f82714c3d51beb8028f8d211719958765 (patch)
tree7afb7889007d58b28d8821e36ebc88c03ba1b2c6
parentdev-ruby/sprockets: add 3.7.2 (diff)
downloadgentoo-1c24766f82714c3d51beb8028f8d211719958765.tar.gz
gentoo-1c24766f82714c3d51beb8028f8d211719958765.tar.bz2
gentoo-1c24766f82714c3d51beb8028f8d211719958765.zip
dev-ruby/rack-attack: add 5.3.0
Package-Manager: Portage-2.3.40, Repoman-2.3.9
-rw-r--r--dev-ruby/rack-attack/Manifest1
-rw-r--r--dev-ruby/rack-attack/rack-attack-5.3.0.ebuild34
2 files changed, 35 insertions, 0 deletions
diff --git a/dev-ruby/rack-attack/Manifest b/dev-ruby/rack-attack/Manifest
index 6a7bc260729..59cc1412874 100644
--- a/dev-ruby/rack-attack/Manifest
+++ b/dev-ruby/rack-attack/Manifest
@@ -1,3 +1,4 @@
DIST rack-attack-4.4.1.gem 16896 BLAKE2B 0c7248c3676250a94078c23256d6f33471b619f0f3948bfb8a3d6b00e97e7731ff5d84e94bc4a53eb35f22b5027709ab0d5b04f28716724762683add42a2c669 SHA512 1373cd47fdc06a1d4bfc751f3c8ca7c7394117090d190f5b58c4d7b91ac91babfc7bfed7690961ad6534ccb0ce8918f721d3e1b33902d12e686978c1c459e572
DIST rack-attack-5.0.1.gem 17408 BLAKE2B 5aaba2c1b4b2c69a02734d082bc18e670c1c7ad8e2ea40945f3f3afa1f136c11bf74a582763d914ed0ef442e26ccfb35fc7328b0d7deaea74110deec9e91c84e SHA512 e5833d8506990d352073573de3b52deff910201f89f31bf9c4ded53644aadf52ee85b63a239f41e38d37baee4fb4c630f4c00abb1f0ea1fca1be78ca56e0e648
DIST rack-attack-5.2.0.gem 22528 BLAKE2B 474b70dd4a4a949cb295922bdf9d141fd1c8241d9d2179fd43fe38a7d9687c39a712ad7473956302fa8f4f4bcf84cb284475a90e7e264f18f45a1e7228a66659 SHA512 f9d9e07a993e8bd93e7f09110055bb4ba0478019f1d08f44cc9ac497cd0badf1095a512fb5e556dc82ecc8ba3b9ddbe38ae6c8cd3c570bd29237a550788fe0ab
+DIST rack-attack-5.3.0.gem 23040 BLAKE2B 415df5f1d4b07de0a4e80f77acf59330e74893b3abc9863638628f36d8b946dd330ae931f672671f4a9fe1fc4b1f6bb12fda2115e3dec9fea58ed04577676c4f SHA512 4749d4a86c6f91618092614dcf99cbf64722d6de9bb1150208fb89ea83862b980581c543a46355b45b553f0132bab26ef0d16ad2e4a35677d734c4a6449a2d4f
diff --git a/dev-ruby/rack-attack/rack-attack-5.3.0.ebuild b/dev-ruby/rack-attack/rack-attack-5.3.0.ebuild
new file mode 100644
index 00000000000..585b3e58c40
--- /dev/null
+++ b/dev-ruby/rack-attack/rack-attack-5.3.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+# Skip integration tests since they require additional unpackaged
+# dependencies and running daemons.
+RUBY_FAKEGEM_TASK_TEST="test:units"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A DSL for blocking & throttling abusive clients"
+HOMEPAGE="https://github.com/kickstarter/rack-attack"
+
+LICENSE="MIT"
+SLOT="5"
+KEYWORDS="~amd64"
+IUSE="test"
+
+ruby_add_rdepend "dev-ruby/rack:*"
+ruby_add_bdepend "test? (
+ dev-ruby/actionpack
+ dev-ruby/activesupport
+ dev-ruby/rack-test
+ dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ sed -i -e '/\(bundler\|byebug\)/ s:^:#:' Rakefile spec/spec_helper.rb || die
+ sed -i -e '3igem "actionpack"' spec/spec_helper.rb || die
+}